package cz.moneta.test.dsl.ufo.banka.pages.common.pages;

import cz.moneta.test.dsl.ufo.banka.pages.cards.debit.OBR003_S001_ClientContractSignPage;
import cz.moneta.test.dsl.ufo.banka.pages.fon.DMS001_S001_ScanDocumentsPage;
import cz.moneta.test.dsl.ufo.banka.pages.fon.GDP001_S001_ClientConsentsPage;
import cz.moneta.test.dsl.ufo.banka.pages.fon.TIS050_S001_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.PSP004_S001_PrintPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface AML002_S001_AmlSurveyPageTransitions extends WebFlow<AML002_S001_AmlSurveyPageTransitions> {

    AML002_S001_AmlSurveyPage onAmlSurveyPage();

    TIS050_S001_SignerSelectionPage onSignerSelectionPage();

    PSP004_S001_PrintPage onPrintPage();

    OBR003_S001_ClientContractSignPage onSignedByClient();

    GDP001_S001_ClientConsentsPage onClientConsentPage();

    DMS001_S001_ScanDocumentsPage onScanDocumentsPage();

}
